# Copyright (c) 2015 Dave Love, Liverpool University
# The licence for this file is as for the package itself.

%global commit ed7ce137b13062023ca57bda62109f355b88828f

Name:		lighter
Version:	1.0.5
Release:	1%{?dist}
Summary:	Fast corrector of errors in DNA sequencing data
License:	GPLv2+
URL:		https://github.com/mourisl/Lighter
Source0:	https://github.com/mourisl/Lighter/archive/%commit.tar.gz

BuildRequires:	zlib-devel

%description

Lighter is a kmer-based error correction method for whole genome
sequencing data.  Lighter uses sampling (rather than counting) to
obtain a set of kmers that are likely from the genome.  Using this
information, Lighter can correct the reads containing sequence errors.


%prep
%setup -q -n Lighter-%commit


%build
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
install -D -m 755 lighter $RPM_BUILD_ROOT%_bindir/lighter


%clean
rm -rf $RPM_BUILD_ROOT


%files
%doc README.md LICENSE
%_bindir/lighter


%changelog
* Mon Mar 30 2015 Dave Love <d.love@liverpool.ac.uk> - 1.0.5-1
- Initial packaging
